=== tests/test/dependencies-b/Portfile ===
# $Id$

PortSystem 1.0
name		dependencies-b
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for dependencies
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

distfiles
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test {
# testing consists in processing dependencies
}
