=== tests/test/dependencies-d/Portfile ===
# $Id$

PortSystem 1.0
name		dependencies-d
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for dependencies
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

distfiles
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

# Check that macports doesn't chunk on this junk.
# This might mean this port depends on port dependencies-a without variant
# i_want_b (which is a default variant).
depends_lib	port:-i_want_b:dependencies-a

# Check that macports doesn't chunk on this junk, but just generates a warning.
depends {configure {dependencies-a +i_want_b >= 1}}

test {
# testing consists in processing dependencies
}
