=== tests/test/xcodeversion/Portfile ===
# $Id$

PortSystem 1.0
name        xcodeversion
version     1
categories  test
maintainers pguyot@kallisys.net
description Test port for \$xcodeversion
homepage    http://www.macports.org/
platforms   darwin

long_description ${description}

distfiles
use_configure no
build       {}
destroot    {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test {
    # rpm-vercomp is now deprecated, change it here too when removed
    # from all ports and base (but keep this test here, meanwhile...)
    # rpm-vercomp removed from ports r89810, from base r89811
    if {$xcodeversion != "" && [vercmp $xcodeversion 2.1] >= 0} {
        ui_msg "xcodeversion >= 2.1"
    } else {
        ui_msg "xcodeversion = $xcodeversion"
    }
    ui_msg "xcodebuildcmd = $xcodebuildcmd"
}
